VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "armor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public Weight As Byte
Public armor As Byte
Public byte2 As Byte
Public Unused1 As Byte


Public Function scaledarmor() As Byte
    scaledarmor = (byte2 And &HF)
End Function

Public Function noarmor() As Byte
    noarmor = (byte2 And &H80) / &H80
End Function

Public Function setscaledarmor(num As Integer)
    If num > 7 Then
        num = 7
    End If
    If num < 0 Then
        num = 0
    End If
    byte2 = (byte2 And &H80) + num
End Function

Public Function setnoarmor(num As Integer)
    byte2 = (byte2 And &H7F)
    If num = 1 Then
        byte2 = byte2 + &H80
    End If
End Function


